# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "natter/version"

Gem::Specification.new do |spec|
  spec.name          = "natter"
  spec.version       = Natter::VERSION
  spec.authors       = ["Garry Pettet"]
  spec.email         = ["contact@garrypettet.com"]

  spec.summary       = 'Rules-based natural language intent parser.'
  spec.description   = 'A rules-based natural language intent parser written in pure Ruby.'
  spec.homepage      = 'https://github.com/BarnabyAI/natter'
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "chronic", "~> 0.10"

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"
end
